Need help with bootstrap-tour?
Click the “chat” button below for chat support from the developer who created it, or find similar developers for support.

About the developer

sorich87
4.4K Stars 948 Forks MIT License 698 Commits 181 Opened issues

Description

Quick and easy product tours with Twitter Bootstrap Popovers

Services available

!
?

Need anything else?

Contributors list

# 53,524
HTML
PHP
websql
messeng...
166 commits
# 6,763
reasonm...
TypeScr...
faceboo...
Redux
53 commits
# 139,692
HTML
CSS
32 commits
# 222,752
HTML
CSS
messeng...
faceboo...
10 commits
# 196,762
HTML
CSS
9 commits
# 252,960
HTML
CSS
8 commits
# 38,778
Symfony
kibana
debian
pivot-t...
8 commits
# 102,382
React N...
CSS
gui-fra...
C
7 commits
# 237,573
PHP
yii2
Yii Fra...
elastic...
5 commits
# 35,388
jupyter
React
repl
jupyter...
5 commits
# 150,829
CSS
HTML
Shell
extjs
5 commits
# 312,646
HTML
CSS
4 commits
# 270,697
HTML
CSS
Elixir
statsd
4 commits
# 102,156
CSS
C
Django
crf
3 commits
# 310,872
React
compati...
react-d...
CSS
3 commits
# 339,799
HTML
CSS
3 commits
# 143,778
PHP
Shell
CSS
Git
2 commits
# 343,829
Vim
prose
vim-col...
Shell
2 commits
# 170,171
Google
C
Sass
Angular
2 commits
# 353,922
CSS
data-ma...
php7
Shell
2 commits

Bootstrap Tour

Build Status Dependency Status devDependency Status NPM Version Reviewed by Hound

Quick and easy way to build your product tours with Bootstrap Popovers.

Compatible with Bootstrap >= 2.3.0

Demo and Documentation

http://bootstraptour.com

Contributing

In lieu of a formal styleguide, take care to maintain the existing coding style. Add unit tests for any new or changed functionality. Lint and test your code using Gulp.

Feel free to contribute with pull requests, bug reports or enhancement suggestions.

We use Gulp and Jasmine. Both make your life easier ;)

Develop

Files to be developed are located under

./src/
. Compiled sources are then automatically put under
./build/
,
./test/
and
./docs/
.

Requirements

To begin, you need a few standard dependencies installed. These commands will install ruby, gem, node, yarn, and gulp's command line runner:

Debian/Ubuntu Linux
$ curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
$ echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list
$ sudo apt-get update && sudo apt-get install ruby-full yarn
Mac OS X
$ /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
$ brew install ruby yarn
Development requirements
$ yarn global add gulp-cli
$ yarn
$ gem install jekyll

For Mac OS X Mavericks (10.9) users: You will need to jump through all these hoops before you can install Jekyll.

Gulp usage

Run gulp and start to develop with ease:

$ gulp
$ gulp dist
$ gulp test
$ gulp docs
$ gulp clean
$ gulp server
$ gulp bump --type minor (major.minor.patch)

Check

gulpfile.coffee
to know more.

License

Code licensed under the MIT license. Documentation licensed under CC BY 3.0.

We use cookies. If you continue to browse the site, you agree to the use of cookies. For more information on our use of cookies please see our Privacy Policy.